You are not logged in.

#1 2018-06-26 18:45:02

exe
Member
Registered: 2015-09-29
Posts: 56

Radiotray not launch !

My favorite app in linux no work in Stretch sad


exe@bunsen:~$ radiotray
/usr/lib/python2.7/dist-packages/radiotray/XmlDataProvider.py:23: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk

Traceback (most recent call last):
  File "/usr/bin/radiotray", line 15, in <module>
    radiotray_runner.main(sys.argv[1:])
  File "/usr/lib/python2.7/dist-packages/radiotray/radiotray_runner.py", line 39, in main
    RadioTray()
  File "/usr/lib/python2.7/dist-packages/radiotray/RadioTray.py", line 72, in __init__
    self.audio = AudioPlayerGStreamer(self.mediator, self.cfg_provider, eventManager)
  File "/usr/lib/python2.7/dist-packages/radiotray/AudioPlayerGStreamer.py", line 55, in __init__
    self.souphttpsrc = Gst.ElementFactory.make("souphttpsrc", "source")
NameError: global name 'Gst' is not defined
exe@bunsen:~$

Offline

#2 2018-06-26 21:07:43

ohnonot
...again
Registered: 2015-09-29
Posts: 3,197
Website

Re: Radiotray not launch !

looks like some gstreamer dependency is missing; how did you install radiotray?
did you install all recommends, too?

Offline

#3 2018-06-26 22:45:21

exe
Member
Registered: 2015-09-29
Posts: 56

Re: Radiotray not launch !

Yes.. i instaled
sudo apt install radiotray

Offline

#4 2018-06-26 23:48:52

martix
Kim Jong-un Stunt Double
Registered: 2016-02-19
Posts: 1,267

Re: Radiotray not launch !

It works fine on Stretch for me, it requires the package python-gst-1.0 (I get the first warning too).

You could try to remove it with "sudo apt purge radiotray", make an update "sudo apt update" and "sudo apt upgrade" and install it again.

Offline

#5 2018-06-27 11:00:42

exe
Member
Registered: 2015-09-29
Posts: 56

Re: Radiotray not launch !

martix wrote:

It works fine on Stretch for me, it requires the package python-gst-1.0 (I get the first warning too).

You could try to remove it with "sudo apt purge radiotray", make an update "sudo apt update" and "sudo apt upgrade" and install it again.


yes. i purge and update and no working

Offline

#6 2018-06-27 11:56:33

sleekmason
Member
Registered: 2018-05-22
Posts: 142

Re: Radiotray not launch !

Try in order:

sudo apt install -f
sudo apt purge radiotray
sudo apt install radiotray --install-suggests

This last line installs all suggested packages as well. If this doesn't work, will you please post the output of:

sudo cat /etc/apt/sources.list

"Nothing in the world can take the place of Persistence. Talent will not; nothing is more common than unsuccessful men with talent. Genius will not; unrewarded genius is almost a proverb. Education will not; the world is full of educated derelicts. Persistence and determination alone are omnipotent." - Calvin Coolidge

Offline

#7 2018-06-27 21:21:49

exe
Member
Registered: 2015-09-29
Posts: 56

Re: Radiotray not launch !

Thanks,  but no working with the tips


exe@bunsen:~$ sudo cat /etc/apt/sources.list


# deb cdrom:[Debian GNU/Linux 9.4 _Helium_ - Snapshot amd64 LIVE/INSTALL Binary 20180428-16:59]/ stretch contrib main non-free

# deb cdrom:[Debian GNU/Linux 9.4 _Helium_ - Snapshot amd64 LIVE/INSTALL Binary 20180428-16:59]/ stretch contrib main non-free

deb https://deb.debian.org/debian/ stretch main non-free contrib
# deb-src https://deb.debian.org/debian/ stretch main non-free contrib

## Debian security updates
deb https://deb.debian.org/debian-security/ stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
deb https://deb.debian.org/debian/ stretch-updates main contrib non-free
# deb-src https://deb.debian.org/debian/ stretch-updates main contrib non-free


## Multimedia
#apt-get install deb-multimedia-keyring
#apt-get install deb-multimedia-keyring
## Instalar key # apt-get install deb-multimedia-keyring
deb http://www.deb-multimedia.org/ stretch main non-free

Offline

#8 2018-06-27 21:44:44

sleekmason
Member
Registered: 2018-05-22
Posts: 142

Re: Radiotray not launch !

If there is a chance of something getting dragged in by:

deb http://www.deb-multimedia.org/ stretch main non-free

If it were me, I would comment this out and try again. Remember to "sudo apt update" after making changes to your sources list.


"Nothing in the world can take the place of Persistence. Talent will not; nothing is more common than unsuccessful men with talent. Genius will not; unrewarded genius is almost a proverb. Education will not; the world is full of educated derelicts. Persistence and determination alone are omnipotent." - Calvin Coolidge

Offline

#9 2018-06-27 22:09:26

exe
Member
Registered: 2015-09-29
Posts: 56

Re: Radiotray not launch !

sleekmason wrote:

If there is a chance of something getting dragged in by:

deb http://www.deb-multimedia.org/ stretch main non-free

If it were me, I would comment this out and try again. Remember to "sudo apt update" after making changes to your sources list.


nothing sad

Offline

#10 2018-06-27 22:33:33

sleekmason
Member
Registered: 2018-05-22
Posts: 142

Re: Radiotray not launch !

got it:)

Please edit the autostart file. Browse in file manager or in terminal:

nano ~/.config/openbox/autostart

and add:

radiotray &

in the middle somewhere. NOT at the end.

Press F2 for save menu,  press y and enter to save.
Log out and back in.

Last edited by sleekmason (2018-06-27 22:34:13)


"Nothing in the world can take the place of Persistence. Talent will not; nothing is more common than unsuccessful men with talent. Genius will not; unrewarded genius is almost a proverb. Education will not; the world is full of educated derelicts. Persistence and determination alone are omnipotent." - Calvin Coolidge

Offline

#11 2018-06-27 23:41:59

exe
Member
Registered: 2015-09-29
Posts: 56

Re: Radiotray not launch !

No, no working

Offline

#12 2018-06-27 23:46:40

sleekmason
Member
Registered: 2018-05-22
Posts: 142

Re: Radiotray not launch !

Ack!!

Thought for sure that last bit was the issue.  I downloaded radiotray myself and noticed it needed to be enabled in the autostart file smile  That's all I've got.  Hopefully someone will have an answer that will work for you.

Last edited by sleekmason (2018-06-27 23:48:31)


"Nothing in the world can take the place of Persistence. Talent will not; nothing is more common than unsuccessful men with talent. Genius will not; unrewarded genius is almost a proverb. Education will not; the world is full of educated derelicts. Persistence and determination alone are omnipotent." - Calvin Coolidge

Offline

#13 2018-06-28 00:07:51

exe
Member
Registered: 2015-09-29
Posts: 56

Re: Radiotray not launch !

Thanks for u time !!!

Offline

#14 2018-06-28 06:37:28

johnraff
nullglob
From: Nagoya, Japan
Registered: 2015-09-09
Posts: 4,675
Website

Re: Radiotray not launch !

martix wrote:

It works fine on Stretch for me, it requires the package python-gst-1.0 (I get the first warning too).

It's working fine on Stretch for me too. Run in a terminal, I also see that GTK warning, but it doesn't seem to matter.

All I can say is to echo ohononot and sleekmason that the multimedia repo might be the cause of the trouble, possibly bringing in an incompatible gstreamer library. To wind back, you'd have to remove the multimedia source entry, then track down what libraries radiotray was using, and if any are the deb.multimedia version, uninstall them and reinstall from the regular Debian repo.


John
--------------------
( a boring Japan blog , Japan Links, idle twitterings  and GitStuff )
In case you forget, the rules.

Offline

#15 2018-06-28 07:49:17

ohnonot
...again
Registered: 2015-09-29
Posts: 3,197
Website

Re: Radiotray not launch !

johnraff wrote:

All I can say is to echo ohononot and sleekmason that the multimedia repo might be the cause of the trouble, possibly bringing in an incompatible gstreamer library.

well i didn't, but thanks anyway.

To wind back, you'd have to remove the multimedia source entry, then track down what libraries radiotray was using, and if any are the deb.multimedia version, uninstall them and reinstall from the regular Debian repo.

here's a howto. it's for linux mint, and a little old, and might require some adjustment. but judging from op's responses, that will be way too much work for them...

Last edited by ohnonot (2018-06-28 07:50:05)

Offline

Board footer

Powered by FluxBB